Bug 18035 - tulip chip revision 85 million and one
tulip chip revision 85 million and one
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-10-01 17:37 EDT by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-29 07:54:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2000-10-01 17:37:29 EDT
There's yet another tulip revision out in the wild.  Shipped as
Linksys/Network Everwhere Model NC100 version 2.1, lspci -v gives

00:11.0 Ethernet controller: Bridgecom, Inc: Unknown device 0985 (rev 11)
	Subsystem: Bridgecom, Inc: Unknown device 0570
	Flags: bus master, medium devsel, latency 64, IRQ 3
	I/O ports at 1000
	Memory at f4000400 (32-bit, non-prefetchable)
	Capabilities: [c0] Power Management version 2

The current tulip driver seems to work fine once the PCI id is added, so if
an errata kernel ends up needing to be released for whatever reason, it
would be nice to have the pci id added so that the tulip module doesn't
have to be recompiled for such a piddly thing ;)

$ diff -u tulip.c~ tulip.c
--- tulip.c~	Sun Oct  1 17:34:05 2000
+++ tulip.c	Sun Oct  1 17:33:56 2000
@@ -343,6 +343,8 @@
 	0x11AD, 0xc115, 0xffff, PCI_ADDR0_IO, 256, 32, tulip_probe1 },
   { "ADMtek AN981 Comet",
 	0x1317, 0x0981, 0xffff, PCI_ADDR0_IO, 256, 32, tulip_probe1 },
+  { "ADMtek AN985 Comet",
+	0x1317, 0x0985, 0xffff, PCI_ADDR0_IO, 256, 32, tulip_probe1 },
   { "Compex RL100-TX",
 	0x11F6, 0x9881, 0xffff, PCI_ADDR0_IO, 128, 32, tulip_probe1 },
   { "Intel 21145 Tulip",
Comment 1 Alan Cox 2000-10-01 17:45:55 EDT
Added to 2.2.18pre15 to be
Comment 2 Need Real Name 2000-11-29 07:54:55 EST
This sound exactly like my situation.  I have met with total frustration in trying to compile a new module using the instructions on 
http://www.scyld.com/network/updates.htlm. It was only recently that i noriced the critique of the RH 7.0 distribution that appeared on that page. The 
instructions are excellent. i apparently do not have the requesite tools. 

My problems (or at least the ones i know about) are;

1. i cannot find the egcs (aka kgcc) compiler.  Is this in an RPM package that i have to install.

2. i have no /usr/src/linux path.  i assume i should install the kernel-src package shipped with my distribution.

3. can you tell me exactly where the tulip.c you diff''ed came from.  these lines are not in my tulip.c under /user/src/redhar/netdrivers-2.0/ path. i assume 
if that version of tulip is shipped in my distribution i should be able to find those lines, add your changes and following the basic instructions for 
building and installing a new kernel module.

i would appreciate any assistance you can render.

Comment 3 Arjan van de Ven 2001-02-16 12:39:12 EST
The PCI ID will be present in the next kernelbuild if/when we release one.

Note You need to log in before you can comment on or make changes to this bug.